Bug 990236 - gists requires python-requests and clint (which is not in Fedora) [NEEDINFO]
gists requires python-requests and clint (which is not in Fedora)
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gists (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
: Reopened
Depends On: 991319
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 11:52 EDT by Felix Kaechele
Modified: 2017-12-14 13:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:25:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cben: needinfo? (marcelo.barbosa)


Attachments (Terms of Use)

  None (edit)
Description Felix Kaechele 2013-07-30 11:52:48 EDT
The gists Package requires python-requests and clint (https://pypi.python.org/pypi/clint/) (which is not packaged in Fedora) as runtime dependencies.

The application won't even start without clint. How did this actually pass review?
Comment 1 Marcelo Barbosa "firemanxbr" 2013-08-02 02:58:35 EDT
Hi Felix,

   You are correct, my big wrong, sorry, i'm creating this package(python-clint), but it depends of two others packages set in this bugzilla.

Regards.
Comment 2 Germán Racca 2013-08-17 15:58:35 EDT
I confirm that gists is broken because of missing dependencies.
Comment 3 Fedora End Of Life 2013-09-16 10:54:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 David Shea 2016-05-05 10:26:36 EDT
Is there any update on this? gists is not currently usable in Fedora.
Comment 5 David Shea 2016-05-12 09:52:29 EDT
Again requesting an update, per the nonresponsive maintainer policy. I have also emailed Marcelo directly.
Comment 6 Marcelo Barbosa "firemanxbr" 2016-05-15 09:37:24 EDT
Sorry my delay guys, I'm working in package python-clint. Another package: python-requests is done, I think in few days fixed this problem. I'm going to adding another bugs  related the is here.
Comment 7 Jan Kurik 2016-07-26 00:47:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 8 Beni Paskin-Cherniavsky 2017-03-14 06:43:37 EDT
I see there is `python2-clint` in F24.  Can now you update `gists` spec to depend on it?
Thanks for working on it :)

dups: bug 1057230, bug 1183278
Comment 9 Fedora End Of Life 2017-11-16 13:49:07 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-12-12 05:25:16 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Beni Paskin-Cherniavsky 2017-12-14 13:55:03 EST
Reopening for F27.
gists-0.4.5-10.fc27.noarch still imports requests & clint, there exist python2-requests & python2-clint packages, please update gists package to depend on them.

There is another critical problem:
gists is written against requests 0.x API and doesn't work at all against any version of python2-requests >= 1.0.0 (currently 2.18.4).
All `gists` commands (except --help and version) fail with stacktrace similar to this:

Traceback (most recent call last):
  File "/usr/bin/gists", line 5, in <module>
    run()
  File "/usr/lib/python2.7/site-packages/gists/gists.py", line 82, in run
    result = args.func(*parameters)
  File "/usr/lib/python2.7/site-packages/gists/actions.py", line 58, in list_gists
    for gist in response.json:
TypeError: 'instancemethod' object is not iterable

I sent https://github.com/devvesa/gists/pull/26 to upgrade the code to work against requests 2 (very partially tested).

Note You need to log in before you can comment on or make changes to this bug.